<?php
$title = 'Регистрация';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
echo '<div class="title">Регистрация</div>';
if ($set['registration'] == 2) {
echo '<div class="menu">Регистрация закрыта!</div>';
exit(include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php"));
}
if (isset($active) == true) {
header('Location: /cab');
} else {
if (isset($_POST['login']) && isset($_POST['pass']) &&
isset($_POST['wmr']) && 
isset($_POST['email'])  && isset($_POST['code'])){
$error = '';
$stmt = $connect->prepare("select count(`id`) from `users` where `login` = ?");
$stmt->execute(array($_POST['login']));
$num = $stmt->fetchColumn();
if (empty($_POST['login'])) {
$error.= 'Поле логин обязательно для заполнения!<br/>';
}
elseif (mb_strlen($_POST['login']) < 3 or mb_strlen($_POST['login']) > 15) {
$error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
}
elseif (!preg_match("#^[a-z0-9_-]{1,15}$#i", $_POST['login'])) {
$error.= 'Логин должен состоять из латинских букв и/или цифр!<br />';
} 
elseif ($num > 0) {
$error.= 'Пользователь с таким логином уже зарегистрирован!<br/>';
}
if (empty($_POST['email'])) {
$error.= 'Поле e-mail обязательно для заполнения!<br/>';
}
elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['email'])) {
$error.= 'Поле e-mail заполнено неверно!<br/>';
} 
if (empty($_POST['pass'])) {
$error.= 'Поле пароль обязательно для заполнения!<br/>';
}
elseif (mb_strlen($_POST['pass']) < 3 or mb_strlen($_POST['pass']) > 15) {
$error.= 'Пароль должен содержать от 3 до 15 символов!<br/>';
}
if (!empty($_POST['email'])){
$stmt = $connect->prepare("select count(`id`) from `users` where `email` = ?");
$stmt->execute(array($_POST['email']));
$num = $stmt->fetchColumn();
if ($num > 0) {
$error.= 'Пользователь с таким почтовым ящиком уже зарегистрирован!<br/>';
}
}
if (empty($_POST['code'])) {
$error.= 'Введите код с картинки!<br/>';
}
elseif ($_SESSION['code'] != $_POST['code']) {
$error.= 'Код с картинки введен неверно!<br/>';
}
if (empty($_POST['wmr'])) {
$error.= 'Введите ваш кошелек!<br/>';
}
$stmt = $connect->prepare("select count(`id`) from `users` where `wmr` = ?");
$stmt->execute(array($_POST['wmr']));
$num = $stmt->fetchColumn();
if (!preg_match("#^R[0-9]{12}$#i", $_POST['wmr'])) {
$error.= 'Неверно введен WMR-кошелек: вводить нужно, начиная с R!<br/>';
}
elseif ($num > 0) {
$error.= 'Пользователь с таким кошельком уже зарегистрирован!<br/>';
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
} else {
$ref = (isset($_SESSION['ref']) ? $_SESSION['ref'] : '');
$stmt = $connect->prepare("insert into `users` set `datereg` = ?, `login` = ?, `pass` = ?, `wmr` = ?, `email` = ?, `ref` = ?");
if ($stmt->execute(array(time(), $_POST['login'], md5(md5($_POST['pass'])), $_POST['wmr'], $_POST['email'], $ref))) {
$lid = $connect->LastInsertId();
if ($lid == 1) {
$connect->exec("update `users` set `admin` = '1' where `id` = '1'");
$stmt = $connect->prepare("update `settings` SET `value` = ? where `name` = 'mail'");
$stmt->execute(array($_POST['email']));
} else {
mailto($_POST['email'], 'Регистрация на сайте '.$_SERVER['HTTP_HOST'],
'Спасибо за регистрацию на нашем сайте!<br/>Ваши данные для входа в личный кабинет:<br/>
Логин '.$_POST['login'].'<br/>Пароль: '.$_POST['pass'].'<br/>
Автологин: '.ROOT.'/?login='.$_POST['login'].'&pass='.$_POST['pass'], $set['mail']);
}
echo '<div class="menu">Вы успешно зарегистрированы!</div><div class="menu">Ваши данные для входа:<br/>Логин: '.$_POST['login'].'<br/>Пароль: '.$_POST['pass'].'</div>'.($lid == 1 ? '<div class="menu">Вы зарегистрированы как администратор сайта.<br/>Перейдите в панель управления и проведите все необходимые настройки сайта.</div>' : '').'<div class="forlink"><a href="'.ROOT.'/?login='.$_POST['login'].'&pass='.$_POST['pass'].'" class="links">Войти в кабинет</a></div><div class="menu">Автологин:<br /><input type="text" value="'.ROOT.'/?login='.$_POST['login'].'&pass='.$_POST['pass'].'"/></div>';
exit(include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php"));
} else {
echo '<div class="menu">Ошибка при регистрации!</div>';
}
}
}
echo '<form name="registration" action="" method="post"><div class="menu">Логин:<br/><input type="text" name="login" maxlength="15"><br/>Пароль:<br/><input type="text" name="pass" maxlength="15" value="'.gen_pass().'"><br/>E-mail:<br/><input type="text" value="@" name="email" maxlength="35"><br/>WMR-кошелек:<br/><input type="text" name="wmr" value="R" maxlength="13"><br/>Код с картинки: <img src="/inc/code.php" alt="check"><br/><input type="text" name="code"><br/><input type="submit" value="Зарегистрироваться"></div></form>';
}
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>